Open CASCADE Technology: GccAna_Lin2dTanObl Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GccAna_Lin2dTanObl Class Reference

This class implements the algorithms used to create 2d line tangent to a circle or a point and making an angle with a line. The angle is in radians. The origin of the solution is the tangency point with the first argument. Its direction is making an angle Angle with the second argument. More...

`#include <GccAna_Lin2dTanObl.hxx>`

## Public Member Functions
| GccAna_Lin2dTanObl (const gp_Pnt2d &ThePoint, const gp_Lin2d &TheLine, const Standard_Real TheAngle)
| This class implements the algorithms used to create 2d line passing through a point and making an angle with a line. More...
| GccAna_Lin2dTanObl (const GccEnt_QualifiedCirc &Qualified1, const gp_Lin2d &TheLine, const Standard_Real TheAngle)
| This class implements the algorithms used to create 2d line tangent to a circle and making an angle with a line. Exceptions GccEnt_BadQualifier if a qualifier is inconsistent with the argument it qualifies (for example, enclosed for a circle). More...
Standard_Boolean | IsDone () const
| Returns True if the algorithm succeeded. Note: IsDone protects against a failure arising from a more internal intersection algorithm, which has reached its numeric limits. More...
Standard_Integer | NbSolutions () const
| Returns the number of of lines, representing solutions computed by this algorithm. Raises NotDone if the construction algorithm didn't succeed. More...
gp_Lin2d | ThisSolution (const Standard_Integer Index) const
| Returns the solution number Index. Be careful: the Index is only a way to get all the solutions, but is not associated to theses outside the context of the algorithm-object. raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...
void | WhichQualifier (const Standard_Integer Index, GccEnt_Position &Qualif1) const
| Returns the qualifier Qualif1 of the tangency argument for the solution of index Index computed by this algorithm. The returned qualifier is: More...
void | Tangency1 (const Standard_Integer Index, Standard_Real &ParSol, Standard_Real &ParArg, gp_Pnt2d &PntSol) const
| Returns informations about the tangency point between the result number Index and the first argument. ParSol is the intrinsic parameter of the point ParSol on the solution curv. ParArg is the intrinsic parameter of the point ParArg on the argument curv. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...
void | Intersection2 (const Standard_Integer Index, Standard_Real &ParSol, Standard_Real &ParArg, gp_Pnt2d &PntSol) const
| Returns informations about the intersection between the result number Index and the third argument. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions. More...

## Detailed Description

This class implements the algorithms used to create 2d line tangent to a circle or a point and making an angle with a line. The angle is in radians. The origin of the solution is the tangency point with the first argument. Its direction is making an angle Angle with the second argument.

## Constructor & Destructor Documentation

GccAna_Lin2dTanObl::GccAna_Lin2dTanObl | ( | const gp_Pnt2d & | ThePoint,
|  | const gp_Lin2d & | TheLine,
|  | const Standard_Real | TheAngle
| ) |  |

This class implements the algorithms used to create 2d line passing through a point and making an angle with a line.

GccAna_Lin2dTanObl::GccAna_Lin2dTanObl | ( | const GccEnt_QualifiedCirc & | Qualified1,
|  | const gp_Lin2d & | TheLine,
|  | const Standard_Real | TheAngle
| ) |  |

This class implements the algorithms used to create 2d line tangent to a circle and making an angle with a line. Exceptions GccEnt_BadQualifier if a qualifier is inconsistent with the argument it qualifies (for example, enclosed for a circle).

## Member Function Documentation

void GccAna_Lin2dTanObl::Intersection2 | ( | const Standard_Integer | Index,
|  | Standard_Real & | ParSol,
|  | Standard_Real & | ParArg,
|  | gp_Pnt2d & | PntSol
| ) |  | const

Returns informations about the intersection between the result number Index and the third argument. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

Standard_Boolean GccAna_Lin2dTanObl::IsDone | ( |  | ) | const

Returns True if the algorithm succeeded. Note: IsDone protects against a failure arising from a more internal intersection algorithm, which has reached its numeric limits.

Standard_Integer GccAna_Lin2dTanObl::NbSolutions | ( |  | ) | const

Returns the number of of lines, representing solutions computed by this algorithm. Raises NotDone if the construction algorithm didn't succeed.

void GccAna_Lin2dTanObl::Tangency1 | ( | const Standard_Integer | Index,
|  | Standard_Real & | ParSol,
|  | Standard_Real & | ParArg,
|  | gp_Pnt2d & | PntSol
| ) |  | const

Returns informations about the tangency point between the result number Index and the first argument. ParSol is the intrinsic parameter of the point ParSol on the solution curv. ParArg is the intrinsic parameter of the point ParArg on the argument curv. Raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

gp_Lin2d GccAna_Lin2dTanObl::ThisSolution | ( | const Standard_Integer | Index | ) | const

Returns the solution number Index. Be careful: the Index is only a way to get all the solutions, but is not associated to theses outside the context of the algorithm-object. raises NotDone if the construction algorithm didn't succeed. It raises OutOfRange if Index is greater than the number of solutions.

void GccAna_Lin2dTanObl::WhichQualifier | ( | const Standard_Integer | Index,
|  | GccEnt_Position & | Qualif1
| ) |  | const

Returns the qualifier Qualif1 of the tangency argument for the solution of index Index computed by this algorithm. The returned qualifier is:

- that specified at the start of construction when the solutions are defined as enclosing or outside with respect to the argument, or
- that computed during construction (i.e. enclosing or outside) when the solutions are defined as unqualified with respect to the argument, or
- GccEnt_noqualifier if the tangency argument is a point. Exceptions Standard_OutOfRange if Index is less than zero or greater than the number of solutions computed by this algorithm. StdFail_NotDone if the construction fails.

The documentation for this class was generated from the following file:

- GccAna_Lin2dTanObl.hxx